#### D.12.2.11 HilbertClassPoly

Procedure from library `atkins.lib` (see atkins_lib).

Return:
  the monic polynomial of degree h(D) in Z[X] of which jOft((D+sqr(D))/2) is a root

Assume:
  D is a negative discriminant

Note:
  k is input for the procedure "jOft",
  5*k is input for the procedure "sqr",
  10*k describes the number of decimals being calculated in the complex numbers

Example:

    LIB "atkins.lib";
    ring r = 0,x,dp;
    bigint D=-23;
    HilbertClassPoly(D,50);
    ==> x3+3491750x2-5151296875x+12771880859375

User manual for Singular version 4-0-3, 2016, generated by texi2html.